| All Verbs | /RestApi/sitefinity/inlineediting/workflow |
|---|
namespace Telerik.Sitefinity.InlineEditing
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
type InlineEditingOperation =
| Publish = 0
| SaveAsDraft = 1
| Custom = 2
[<AllowNullLiteral>]
type ItemContextModel() =
member val ItemId:String = null with get,set
member val ItemType:String = null with get,set
member val Provider:String = null with get,set
member val FieldValues:FieldValueModel[] = [||] with get,set
[<AllowNullLiteral>]
type WorkflowOperationMessage() =
member val PageId:String = null with get,set
member val WorkflowOperation:InlineEditingOperation = new InlineEditingOperation() with get,set
member val CustomWorkflowOperation:String = null with get,set
member val Items:ResizeArray<ItemContextModel> = new ResizeArray<ItemContextModel>() with get,set
[<AllowNullLiteral>]
type FieldValueModel() =
member val Name:String = null with get,set
member val Value:Object = null with get,set
member val ComplexValue:FieldValueModel[] = [||] with get,set
F# WorkflowOperationMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/sitefinity/inlineediting/workflow HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
PageId: String,
WorkflowOperation: Publish,
CustomWorkflowOperation: String,
Items:
[
{
ItemId: String,
ItemType: String,
Provider: String,
FieldValues:
[
{
Name: String,
Value: {},
ComplexValue:
[
{
Name: String,
Value: {},
ComplexValue:
[
{
Name: String,
Value: {}
}
]
}
]
}
]
}
]
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
ItemName: String,
ItemType: String,
ItemStatus:
{
DisplayStatus: String,
IsAdmin: False,
IsEditable: False,
IsStatusEditable: False,
IsLocked: False,
IsPublished: False,
IsLockedByMe: False,
LockedByUsername: String,
WorkflowStatus: String
},
ProviderName: String,
DetailsViewUrl: String
}
]